pg_fetch_result
pg_field_is_null
PostgreSQL Functions
PHP Manual

# pg_fetch_row

(PHP 4, PHP 5)

pg_fetch_row — Get a row as an enumerated array

### Description

array pg_fetch_row ( resource `$result` [, int `$row` ] )

pg_fetch_row() fetches one row of data from the result associated with the specified `result` resource.

> Note: This function sets NULL fields to the PHP `NULL` value.

### Parameters

`result`

  PostgreSQL query result resource, returned by pg_query(), pg_query_params() or pg_execute() (among others).

`row`

  Row number in result to fetch. Rows are numbered from 0 upwards. If omitted or `NULL`, the next row is fetched.

### Return Values

An array, indexed from 0 upwards, with each value represented as a string. Database NULL values are returned as `NULL`.

`FALSE` is returned if `row` exceeds the number of rows in the set, there are no more rows, or on any other error.

### Examples

Example #1 pg_fetch_row() example

`<?php
$conn = pg_pconnect("dbname=publisher");
if (!$conn) {
echo "An error occurred.\n";
exit;
}
$result = pg_query($conn, "SELECT author, email FROM authors");
if (!$result) {
echo "An error occurred.\n";
exit;
}
while ($row = pg_fetch_row($result)) {
echo "Author: $row[0] E-mail: $row[1]";
echo "<br />\n";
}
?>`

### See Also

- pg_query() - Execute a query
- pg_fetch_array() - Fetch a row as an array
- pg_fetch_object() - Fetch a row as an object
- pg_fetch_result() - Returns values from a result resource

pg_fetch_result
pg_field_is_null
PostgreSQL Functions
PHP Manual